// Plyr player

const players = Plyr.setup('.plyr-player');

// Max width

location.search.substr(1).split('&').forEach(function(e){
  if (e.split('=')[0] == 'container' && e.split('=')[1] == 'max'){
    document.getElementById('container').className = 'container-fluid';
  }
});

// Processor bullets

if ($('.processor span').is('span')){
  $('.processor span').html($('.processor span').html().replace('<b>', '<h2>').replace('</b><br><br>', '</h2>').replace(/<br>-/g, '<br>&bull;'));
}

// Slider

$('.single-item').slick({
  infinite: true,
  dots: true,
  prevArrow: '<i class="slick-prev fas fa-chevron-left"></i>',
  nextArrow: '<i class="slick-next fas fa-chevron-right"></i>'
});

$('.multiple-items').slick({
  infinite: true,
  dots: true,
  slidesToShow: 4,
  slidesToScroll: 4,
  prevArrow: '<i class="slick-prev fas fa-chevron-left"></i>',
  nextArrow: '<i class="slick-next fas fa-chevron-right"></i>'
});

// HotSpot

$(function(){
  $('[data-toggle="popover"]').popover();
});

// Matomo track attributes

$('.video').each(function(){
  if($(this).find('.plyr-player source').is('source')){
    let src = $(this).find('.plyr-player source').attr('src');
    $(this).attr({'data-track-content':'', 'data-content-name':'video', 'data-content-piece':src});
  }
});
$('#container > .row:not(.video)').each(function(){
  let getClass = $(this).attr('class').split(' ');
  if (getClass.length > 1){
    let name = getClass.pop();
    $(this).attr({'data-track-content-impression':'', 'data-content-name':'block', 'data-content-piece':name});
  }
});
$('.slick-arrow, .slick-dots button, .hotspot a').each(function(){
  if ($(this).hasClass('slick-arrow')) {
    $(this).attr({'data-track-content-interaction':'', 'data-content-name':'block', 'data-content-piece':'slider-arrow'});
  } else if ($(this).is('button')) {
    $(this).attr({'data-track-content-interaction':'', 'data-content-name':'block', 'data-content-piece':'slider-dot'});
  } else if ($(this).is('a')) {
    $(this).attr({'data-track-content-interaction':'', 'data-content-name':'block', 'data-content-piece':'hotspot'});
  }
});